> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# NIN

> Means of Identifications



## OpenAPI

````yaml /openapi/identity.json post /kyc/nin
openapi: 3.0.2
info:
  title: Flick Identity API
  description: 'This is a sample API Document for Flick services '
  termsOfService: http://swagger.io/terms/
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For Identity check using Flick
security:
  - bearerAuth: []
tags:
  - name: Individuals(KYC)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Businesses(KYB)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Biometrics
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /kyc/nin:
    post:
      tags:
        - Individuals(KYC)
      summary: NIN
      description: Means of Identifications
      operationId: check nin
      requestBody:
        description: Checking for NIN Identification
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Nin'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NinResponse'
        '405':
          description: Invalid input
      security:
        - bearerAuth: []
components:
  schemas:
    Nin:
      required:
        - nin
        - dob
      type: object
      properties:
        nin:
          type: string
          example: '0000111122'
        dob:
          type: string
          example: YYYY-MM-DD
      xml:
        name: nin
    NinResponse:
      type: object
      properties:
        status:
          type: string
          example: '200'
        message:
          type: string
          example: Customer identity fetched successfully
        data:
          type: object
          properties:
            request_attr:
              type: string
              example: ''
            is_new:
              type: string
              example: 'true'
            identity:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    phone_2:
                      type: string
                      example: '070112211222'
                    phone_1:
                      type: string
                      example: '070112211222'
                    image:
                      type: string
                      example: ' https://qrabaebwebhookbucket.s3.us-east-2.amazonaws.com/uploads/_h-6yzOyoEs5.jpg'
                    firstname:
                      type: string
                      example: Kingsley
                    full_details:
                      type: object
                      properties:
                        date_of_birth:
                          type: string
                          example: 2023-1-31
                        nin:
                          type: string
                          example: '002233311332'
                        telephoneno:
                          type: string
                          example: '07033311332'
                        birthlga:
                          type: string
                          example: ''
                        trackingId:
                          type: string
                          example: ''
                        profession:
                          type: string
                          example: ''
                        nok_firstname:
                          type: string
                          example: ''
                        residencestatus:
                          type: string
                          example: ''
                        self_origin_state:
                          type: string
                          example: ''
                        residence_state:
                          type: string
                          example: ''
                        nok_state:
                          type: string
                          example: ''
                        nok_middlename:
                          type: string
                          example: ''
                        nok_surname:
                          type: string
                          example: ''
                        self_origin_lga:
                          type: string
                          example: ''
                        maritalstatus:
                          type: string
                          example: ''
                        heigth:
                          type: string
                          example: ''
                        nok_lga:
                          type: string
                          example: ''
                        phone_number:
                          type: string
                          example: '08122442333'
                        spoken_language:
                          type: string
                          example: ''
                        firstname:
                          type: string
                          example: Kingsley
                        email:
                          type: string
                          example: ''
                        educationallevel:
                          type: string
                          example: ''
                        birthcountry:
                          type: string
                          example: ''
                        nok_address2:
                          type: string
                          example: ''
                        nok_address1:
                          type: string
                          example: ''
                        nok_postalcode:
                          type: string
                          example: ''
                        last_name:
                          type: string
                          example: Kingsley
                        photo:
                          type: string
                          example: https://qrabaebwebhookbuc
                        residence_address:
                          type: string
                          example: user Address
                        middle_name:
                          type: string
                          example: User MiddleName
                        religion:
                          type: string
                          example: ''
                        ospokenlang:
                          type: string
                          example: ''
                        centralID:
                          type: string
                          example: ''
                        self_origin_place:
                          type: string
                          example: ''
                        birthstate:
                          type: string
                          example: ''
                        psurname:
                          type: string
                          example: ''
                        nok_town:
                          type: string
                          example: ''
                        residence_lga:
                          type: string
                          example: ''
                        customer:
                          type: string
                          example: f01a2b07-ec76-495a-b09c-2f60a670244c
                        residence_town:
                          type: string
                          example: ''
                    address:
                      type: string
                      example: user Address
                    middlename:
                      type: string
                      example: Kingsley
                    lastname:
                      type: string
                      example: Kingsley
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.